﻿namespace DataEntity.Migrations
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Migrations;
    using System.Linq;

    internal sealed class Configuration : DbMigrationsConfiguration<DataEntity.SkladContext>
    {
        public Configuration()
        {
            AutomaticMigrationsEnabled = false;
        }

        protected override void Seed(DataEntity.SkladContext context)
        {
            //  This method will be called after migrating to the latest version.

            //  You can use the DbSet<T>.AddOrUpdate() helper extension method
            //  to avoid creating duplicate seed data.

            context.MerneJednotky.AddOrUpdate(x => x.Popis,
                new MernaJednotka { Popis = "ks" },
                new MernaJednotka { Popis = "kg" },
                new MernaJednotka { Popis = "m3" });


        }
    }
}
